
public class TripleCalculatorTest {
	public static void main(String[] args) {
		// for-each
		int x = 10;
		int y = 27;
		int z = 14;
		for (Operator op : Operator.values()) {
			TripleCalculator triple = new TripleCalculator(x, y, z, op);
			System.out.printf("result = %s(%d, %d, %d) = %f\n", op, x, y, z, triple.getW());
		}
		
		// 2D array
		int[][] numbers = {{47,63,50}, {40,30,73}, {20,10,5}};
		for (Operator op : Operator.values()) {
			for (int i = 0; i < numbers.length; i++) {
				TripleCalculator triple = new TripleCalculator(numbers[i][0], numbers[i][1], numbers[i][2], op);
				System.out.printf("result = %s(%d, %d, %d) = %f\n", op, numbers[i][0], numbers[i][1], numbers[i][2], triple.getW());
			}
		}

		// user input using static method
		System.out.println("Please enther 3 numbers!");
		x = UserInput.getInteger("Please enter the first number: ");
		y = UserInput.getInteger("Please enter the second number: ");
		z = UserInput.getInteger("Please enter the third number: ");
		Operator op = UserInput.getOperator("Please enter the operator [1.MIN, 2.MAX, 3.MEDIAN, 4.MEAN, 5.SUM]: ");
		double w = TripleCalculator.calculate(x, y, z, op);
		System.out.printf("result = %s(%d, %d, %d) = %f\n", op, x, y, z, w);
		
		System.out.println("Using user input2");
		TripleCalculator triple2 = UserInput.getTripleCalculator();
		System.out.println(triple2);
	}
}
